Skip to main content
POST
/
api
/
v2
/
tenants
/
{tenant}
/
databases
/
{database}
/
collections
/
{collection_id}
/
delete
curl --request POST \ --url https://api.trychroma.com/api/v2/tenants/{tenant}/databases/{database}/collections/{collection_id}/delete \ --header 'Content-Type: application/json' \ --header 'x-chroma-token: <api-key>' \ --data ' { "where": "<unknown>", "where_document": "<unknown>", "ids": [ "<string>" ] } '
{}

Authorizations

x-chroma-token
string
header
required

Path Parameters

tenant
string
required

Tenant UUID

database
string
required

Database name

collection_id
string
required

Collection UUID

Body

application/json

Payload for deleting records from a collection.

Records can be deleted by their IDs or by a metadata filter. At least one of ids or where must be provided.

where
any
where_document
any
ids
string[] | null

Response

Records deleted successfully

The response is of type object.